{{ define "main" }}
  {{$tag_main := .Params.list_tag}}
  {{$past_title := .Params.past_title}}
<body data-spy="scroll" data-target="#toc"></body>
  <div class="container" role="main">
    <div class="row">
      <div class="col-lg-12">
        {{.Content}}
      </div>
    </div>
    <div class="row">
      <div class="col-lg-12">
        <div class="posts-list">
          {{ range (site.Pages.ByDate.Reverse.RelatedTo ( keyVals "tags" $tag_main)) }}
            {{ if or (gt .Params.end now.Year) (not (isset .Params "end")) (not .Params.end) }}
              {{ if or (eq .Params.active true) (not (isset .Params "active"))  }}
                {{ partial "post_preview.html" .}}
              {{end}}
            {{end}}
          {{ end }}
        </div>
      </div>
    </div>

    
    <div class="row">
      <div class="col-lg-12">
        <details> 
          <summary style="font-size:2em"><h1 class="text-center">{{$past_title}}</h1></summary>
        <div class="posts-list">
          {{ range (site.Pages.ByDate.Reverse.RelatedTo ( keyVals "tags" $tag_main)) }}
            {{ if or (and (le .Params.end now.Year) (.Params.end)) (and (eq .Params.active false) (isset .Params "active")) }}
              {{ partial "post_preview.html" .}}
            {{end}}
          {{ end }}
        </div>
      </details>
      </div>
    </div>
  </div>
{{ end }}

